## python-oslo.concurrency 5.2.0

=== debian/changelog ===
python-oslo.concurrency (5.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Aug 2023 20:11:31 +0000

python-oslo.concurrency (5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:52:57 -0400

python-oslo.concurrency (5.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:08:49 -0500

python-oslo.concurrency (5.0.1-0ubuntu2) kinetic; urgency=medium

  * d/rules: Align test execution with upstream tox.ini and changes
    made in Debian by Thomas Goirand.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 16:32:02 -0400

python-oslo.concurrency (5.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 11:13:11 -0400

python-oslo.concurrency (5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:09:00 -0400

python-oslo.concurrency (4.5.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:53:31 -0400

## python-oslo.concurrency 5.3.0

=== debian/changelog ===
python-oslo.concurrency (5.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jan 2024 14:23:51 +0000

## python-oslo.concurrency 6.0.0

=== debian/changelog ===
python-oslo.concurrency (6.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Mon, 11 Mar 2024 10:15:49 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_concurrency

UPSTREAM_GIT := https://github.com/openstack/oslo.concurrency.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .stestr
	PATH=$$PATH:$(CURDIR)/debian/exe-test PYTHONPATH=$(CURDIR) TEST_EVENTLET=0 lockutils-wrapper stestr run --parallel --subunit | subunit2pyunit
	PATH=$$PATH:$(CURDIR)/debian/exe-test PYTHONPATH=$(CURDIR) TEST_EVENTLET=1 lockutils-wrapper stestr run --parallel --subunit | subunit2pyunit
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.concurrency-doc/usr/share/doc/python-oslo.concurrency-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.concurrency/ oslo.concurrency-(\d.*)\.tar\.gz

## python-oslo.concurrency 6.1.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
fasteners>=0.7.0 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (6.1.0-4) unstable; urgency=medium

  * Blacklist (Closes: #1091608):
    - test_lockutils.LockTestCase.test_lock_externally_lock_dir_not_exist

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 10:34:28 +0100

python-oslo.concurrency (6.1.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090564).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:12:39 +0100

python-oslo.concurrency (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:45:34 +0200

python-oslo.concurrency (6.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 14:45:58 +0200

python-oslo.concurrency (6.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:28:30 +0200

python-oslo.concurrency (6.0.0-2) experimental; urgency=medium

  * Also blacklist test_core_size (Closes: #1056322).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 09:47:01 +0100

python-oslo.concurrency (6.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 16:29:55 +0100

python-oslo.concurrency (5.3.0-1) experimental; urgency=medium

  * New uptream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 21:22:43 +0100

python-oslo.concurrency (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:10:02 +0200

python-oslo.concurrency (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 10:22:58 +0200

python-oslo.concurrency (5.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1045418).
  * Blacklist test_setrlimit_error().

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 12:41:57 +0200

python-oslo.concurrency (5.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:19:42 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.concurrency/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.concurrency 6.2.0

=== debian/changelog ===
python-oslo.concurrency (6.2.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.
  * d/control: Align (Build-)Depends with release.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 11:47:01 +0000

python-oslo.concurrency (6.1.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 11:14:14 +0100

## python-oslo.concurrency 7.1.0

=== debian/changelog ===
python-oslo.concurrency (7.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:48:49 +0000

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-eventlet (>= 0.27.0),
 python3-fasteners (>= 0.7.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet,
 python3-hacking,
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.concurrency
Homepage: https://opendev.org/openstack/oslo.concurrency

Package: python-oslo.concurrency-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-eventlet (>= 0.27.0),
 python3-fasteners (>= 0.7.0),
 python3-fixtures,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

## python-oslo.concurrency 7.1.0+git2025070815.08987d8

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
fasteners>=0.7.0 # Apache-2.0
debtcollector>=3.0.0 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (7.1.0+git2025070815.08987d8-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream. 

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 15:08:21 -0700

## python-oslo.concurrency 7.2.0

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.concurrency (7.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 20:33:57 +0200

python-oslo.concurrency (7.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 13:48:15 +0200

python-oslo.concurrency (7.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:12:43 +0100

python-oslo.concurrency (7.1.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 14:40:05 +0100

python-oslo.concurrency (7.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 13:55:39 +0100

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector (>= 3.0.0),
 python3-eventlet (>= 0.35.2),
 python3-fasteners,
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.concurrency.git
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python3-oslo.concurrency
Architecture: all
Depends:
 python3-debtcollector (>= 3.0.0),
 python3-fixtures,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.concurrency.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info doc/source/reference/api
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		rm -rf .stestr ;\
		PATH=$$PATH:$(CURDIR)/debian/exe-test PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i TEST_EVENTLET=0 lockutils-wrapper stestr run --parallel --subunit 'oslo_concurrency\.tests\.unit\.(?!test_processutils\.PrlimitTestCase\.(test_setrlimit_error|test_core_size)|test_lockutils\.LockTestCase\.test_lock_externally_lock_dir_not_exist)' | subunit2pyunit ; \
		PATH=$$PATH:$(CURDIR)/debian/exe-test PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i TEST_EVENTLET=1 lockutils-wrapper stestr run --parallel --subunit 'oslo_concurrency\.tests\.unit\.(?!test_processutils\.PrlimitTestCase\.(test_setrlimit_error|test_core_size)|test_lockutils\.LockTestCase\.test_lock_externally_lock_dir_not_exist)' | subunit2pyunit ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	echo "Tests not ran here..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.concurrency-doc/usr/share/doc/python-oslo.concurrency-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.concurrency refs/tags/(\d[brc\d\.]+)

## python-oslo.concurrency 7.3.0

=== debian/changelog ===
python-oslo.concurrency (7.3.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 7.3.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 17:13:45 -0800

python-oslo.concurrency (7.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 12 Sep 2025 14:38:49 -0700

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.concurrency/ oslo[._]concurrency-(\d.*)\.tar\.gz

## python-oslo.concurrency 7.4.0

=== debian/changelog ===
python-oslo.concurrency (7.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed not needed patch:
    - py3.14_fix_multiprocessing_spawn_failure_in_FileBasedLockingTes....patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 16:08:41 +0100

python-oslo.concurrency (7.2.0-4) unstable; urgency=medium

  * Blacklist test_interprocess_nonblocking_external_lock() (Closes: #1124199).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Dec 2025 09:37:26 +0100

python-oslo.concurrency (7.2.0-3) unstable; urgency=medium

  * Refreshed fix-tests-i386.patch.
  * Add patch to fix FTBFS (Closes: #1123453):
    - py3.14_multiprocessing_spawn_failure_in_FileBasedLockingTestCase.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Dec 2025 13:44:38 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.concurrency.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info doc/source/reference/api
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		rm -rf .stestr ;\
		PATH=$$PATH:$(CURDIR)/debian/exe-test PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i TEST_EVENTLET=0 lockutils-wrapper stestr run --parallel --subunit 'oslo_concurrency\.tests\.unit\.(?!test_processutils\.PrlimitTestCase\.(test_setrlimit_error|test_core_size)|test_lockutils\.(LockTestCase\.test_lock_externally_lock_dir_not_exist|FileBasedLockingTestCase\.test_interprocess_nonblocking_external_lock)' | subunit2pyunit ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	echo "Tests not ran here..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.concurrency-doc/usr/share/doc/python-oslo.concurrency-doc/html
	dh_sphinxdoc
endif
